import PropTypes from 'prop-types';
import Card from 'react-bootstrap/Card';

function Segment(props) {
  return (
    <Card>
      <Card.Body>{props.content || props.children}</Card.Body>
    </Card>
  );
}

Segment.propTypes = {
  content: PropTypes.string,
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)])
};

export default Segment;
